Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364618 - Review Request: embree - Collection of high-performance ray tracing kernels developed at Intel
Summary: Review Request: embree - Collection of high-performance ray tracing kernels d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1299922 1366881
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 01:48 UTC by Luya Tshimbalanga
Modified: 2016-09-10 01:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-31 16:27:59 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2016-08-06 01:48:39 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-1.fc24.src.rpm
Description: Embree is a collection of high-performance ray tracing kernels, developed at Intel. The target user of Embree are graphics application engineers that want to improve the performance of their application by leveraging the optimized ray tracing kernels of Embree.
Fedora Account System Username: luya

Comment 1 Ralf Corsepius 2016-08-06 04:21:53 UTC
This package needs work:

Just some excerpts from rpmlint:

# rpmlint *rpm
embree.src: E: description-line-too-long C Embree is a collection of high-performance ray tracing kernels, developed at Intel. The target user of Embree are graphics application engineers that want to improve the performance of their application by leveraging the optimized ray tracing kernels of Embree.

embree.src: W: no-version-in-last-changelog

embree.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 1)

embree.x86_64: E: description-line-too-long C Embree is a collection of high-performance ray tracing kernels, developed at Intel. The target user of Embree are graphics application engineers that want to improve the performance of their application by leveraging the optimized ray tracing kernels of Embree.

embree.x86_64: W: no-version-in-last-changelog


embree.x86_64: E: subdir-in-bin /usr/bin/embree/models/curve0.xml

...

Finally: Building this package doesn't honor RPM_OPT_FLAGS.

Comment 2 Luya Tshimbalanga 2016-08-06 07:20:09 UTC
Updated Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
Updated SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-2.fc24.src.rpm

Resulted rpmlint
$ rpmlint ~/rpmbuild/SRPMS/embree-2.10.0-2.fc24.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

> Finally: Building this package doesn't honor RPM_OPT_FLAGS.
Unfortunately embree can be only built with 64-bit architectures. See https://embree.github.io/downloads.html for requirement.
 I am not familiar with %{optflag} macro so I am open to suggestion.

Comment 3 Luya Tshimbalanga 2016-08-06 07:21:39 UTC
Embree is needed for LuxRender 1.6 meaning there will no longer be 32bits version.

Comment 4 Zbigniew Jędrzejewski-Szmek 2016-08-11 23:07:29 UTC
%description should be wrapped to 80 columns, it's ~60 currently.

Why would you need to use %epoch? It's better avoided until absolutely necessary.

%{_bindir}/%{name}/models → it's very suspect to have subdirectories in /bin. Those executables don't end up in path anyway.

It's good practice to explicitly list files in %{_bindir} and %{_libdir} and %{includedir}, instead of using a wide pattern like %{_bindir}/*, %{_libdir}/*. And for libraries, to include the major version in the pattern:

%files
...
%{_libdir}/libxxx.so.0
%{_libdir}/libxxx.so.0.*

This protects against accidental so version bumps (which are forbidden in stable releases).

One BR per line please.

(In reply to Luya Tshimbalanga from comment #2)

> > Finally: Building this package doesn't honor RPM_OPT_FLAGS.
> Unfortunately embree can be only built with 64-bit architectures. See
> https://embree.github.io/downloads.html for requirement.
>  I am not familiar with %{optflag} macro so I am open to suggestion.

See https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Comment 5 Luya Tshimbalanga 2016-08-13 02:43:23 UTC
Updated Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
Updated SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-2.fc24.src.rpm

(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> %description should be wrapped to 80 columns, it's ~60 currently.
> 
> Why would you need to use %epoch? It's better avoided until absolutely
> necessary.
> 
Removed %epoch and adjusted the %descrpitions to 80 colums

> %{_bindir}/%{name}/models → it's very suspect to have subdirectories in
> /bin. Those executables don't end up in path anyway.

A result from upstream package. That path contained a bunch of binary tutorials (disabled on built). These binary will not build due to missing avx.


> It's good practice to explicitly list files in %{_bindir} and %{_libdir} and
> %{includedir}, instead of using a wide pattern like %{_bindir}/*,
> %{_libdir}/*. And for libraries, to include the major version in the pattern:
> 
> %files
> ...
> %{_libdir}/libxxx.so.0
> %{_libdir}/libxxx.so.0.*
Fixed


> This protects against accidental so version bumps (which are forbidden in
> stable releases).
> 
> One BR per line please.
> 
> (In reply to Luya Tshimbalanga from comment #2)
> 
> > > Finally: Building this package doesn't honor RPM_OPT_FLAGS.
> > Unfortunately embree can be only built with 64-bit architectures. See
> > https://embree.github.io/downloads.html for requirement.
> >  I am not familiar with %{optflag} macro so I am open to suggestion.
> 
> See https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Looking at it, I still don't see the point of %{optflag} for that purpose. =(

Comment 6 Luya Tshimbalanga 2016-08-13 02:44:35 UTC
Updated Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
Updated SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-3.fc24.src.rpm

(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> %description should be wrapped to 80 columns, it's ~60 currently.
> 
> Why would you need to use %epoch? It's better avoided until absolutely
> necessary.
> 
Removed %epoch and adjusted the %descrpitions to 80 colums

> %{_bindir}/%{name}/models → it's very suspect to have subdirectories in
> /bin. Those executables don't end up in path anyway.

A result from upstream package. That path contained a bunch of binary tutorials (disabled on built). These binary will not build due to missing avx.


> It's good practice to explicitly list files in %{_bindir} and %{_libdir} and
> %{includedir}, instead of using a wide pattern like %{_bindir}/*,
> %{_libdir}/*. And for libraries, to include the major version in the pattern:
> 
> %files
> ...
> %{_libdir}/libxxx.so.0
> %{_libdir}/libxxx.so.0.*
Fixed


> This protects against accidental so version bumps (which are forbidden in
> stable releases).
> 
> One BR per line please.
> 
> (In reply to Luya Tshimbalanga from comment #2)
> 
> > > Finally: Building this package doesn't honor RPM_OPT_FLAGS.
> > Unfortunately embree can be only built with 64-bit architectures. See
> > https://embree.github.io/downloads.html for requirement.
> >  I am not familiar with %{optflag} macro so I am open to suggestion.
> 
> See https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

Looking at it, I still don't see the point of %{optflag} for that purpose. =(

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-08-13 18:08:03 UTC
You should merge the embree-lib subpackage with the main package. The main package currently contains only a few small doc files.

The .so file should be packaged in the -devel subpackage [https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages]

Also:
embree.src:25: W: mixed-use-of-spaces-and-tabs (spaces: line 25, tab: line 1)


About the compiler flags: the guidelines say that distribution compilation flags should be used during compilation. How to achieve that is not fully specified, since it depends on the build system and usually there's a few different way to achieve the desired result.

In this case the distro flags _are_ used:

$ rpmbuild --eval %optflags
-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic

from build.log:
/usr/bin/c++   -DTASKING_TBB -D__TARGET_AVX2__ -D__TARGET_AVX__ -I/builddir/build/BUILD/embree-2.10.0/include -I/builddir/build/BUILD/embree-2.10.0/x86_64-redhat-linux-gnu  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic  -fPIC -std=c++11 -fno-strict-aliasing -Wno-narrowing -fvisibility-inlines-hidden -fvisibility=hidden -DNDEBUG -O3   -o CMakeFiles/sys.dir/alloc.cpp.o -c /builddir/build/BUILD/embree-2.10.0/common/sys/alloc.cpp

So the only issue is that this package requires AVX extensions, which means that it will not run on processors older then ~2011. Our guidelines specify that earlier CPUs should be supported, but in this case I'd say that this is OK: this program makes use and requires this hardware capability. Compiling a crippled version that will run slowly on all hardware isn't useful.

What remains to be checked:
- that we actually got it to compile properly, i.e. that it in fact uses AVX and runs fast
- that it doesn't crash too horribly on unsupported CPUs


I think you should build the tests and run them in %check. Without any tests it's hard to check that the package is compiled OK. The problem is that some of the examples don't compile, and some others fail. So I think you should compile: benchmark, verify, maybe some others?, and run them in %check.

If the compilation host does not support necessary flags, the tests could be skipped:
grep -q '\bavx\b' /proc/cpuinfo || { echo "CPU does not support AVX; skipping tests"; exit 0; }
I'm not exactly sure what flags are required, this would probably require some experimentation.

Upstream has an -examples subpackage, I think you could add one too, and put the tests binaries in it, in %{_libexecdir}/embree/. This way users can easily verify that the library works on their systems.


You compile without ispc. But ispc is free software, and could be packaged for Fedora. Sounds like a useful things to have. I can do the review if you do the package ;)

Comment 8 Igor Gnatenko 2016-08-13 19:04:16 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> About the compiler flags: the guidelines say that distribution compilation
> flags should be used during compilation. How to achieve that is not fully
> specified, since it depends on the build system and usually there's a few
> different way to achieve the desired result.
> 
> In this case the distro flags _are_ used:
> 
> $ rpmbuild --eval %optflags
> -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
> -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
> -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64
> -mtune=generic
> 
> from build.log:
> /usr/bin/c++   -DTASKING_TBB -D__TARGET_AVX2__ -D__TARGET_AVX__
> -I/builddir/build/BUILD/embree-2.10.0/include
> -I/builddir/build/BUILD/embree-2.10.0/x86_64-redhat-linux-gnu  -O2 -g -pipe
> -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
> -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches
> -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic  -fPIC
> -std=c++11 -fno-strict-aliasing -Wno-narrowing -fvisibility-inlines-hidden
> -fvisibility=hidden -DNDEBUG -O3   -o CMakeFiles/sys.dir/alloc.cpp.o -c
> /builddir/build/BUILD/embree-2.10.0/common/sys/alloc.cpp
> 
> So the only issue is that this package requires AVX extensions, which means
> that it will not run on processors older then ~2011. Our guidelines specify
> that earlier CPUs should be supported, but in this case I'd say that this is
> OK: this program makes use and requires this hardware capability. Compiling
> a crippled version that will run slowly on all hardware isn't useful.
actually minimal req of this library is SSE2, but optionally (by default) AVX and AVX2 is enabled.

So it's possible without pain to disable those. Though I'm not sure about how slower it will be without AVX*.

Comment 9 Luya Tshimbalanga 2016-08-14 03:17:08 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #7)
> You should merge the embree-lib subpackage with the main package. The main
> package currently contains only a few small doc files.
> 
> The .so file should be packaged in the -devel subpackage
> [https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages]

Fixed

> 
> Also:
> embree.src:25: W: mixed-use-of-spaces-and-tabs (spaces: line 25, tab: line 1)

That line contained the %package lib which is now removed

> 
> About the compiler flags: the guidelines say that distribution compilation
> flags should be used during compilation. How to achieve that is not fully
> specified, since it depends on the build system and usually there's a few
> different way to achieve the desired result.
> 
> In this case the distro flags _are_ used:
> 
> $ rpmbuild --eval %optflags
> -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
> -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
> -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64
> -mtune=generic
> 

Thanks for the tip. 

> So the only issue is that this package requires AVX extensions, which means
> that it will not run on processors older then ~2011. Our guidelines specify
> that earlier CPUs should be supported, but in this case I'd say that this is
> OK: this program makes use and requires this hardware capability. Compiling
> a crippled version that will run slowly on all hardware isn't useful.

That part is difficult given my limited knowledge on such advanced compilation. I don't know how access AVX extensions so I had to disable the tutorials. 

> 
> What remains to be checked:
> - that we actually got it to compile properly, i.e. that it in fact uses AVX
> and runs fast
> - that it doesn't crash too horribly on unsupported CPUs
> 
> 
> I think you should build the tests and run them in %check. Without any tests
> it's hard to check that the package is compiled OK. The problem is that some
> of the examples don't compile, and some others fail. So I think you should
> compile: benchmark, verify, maybe some others?, and run them in %check.

Alas the test are part of -DENABLE_TUTORIALS tags on cmake which failed to build when enabled. It is a first I reached that level of complexity, I guess that is part of challenge.



> Upstream has an -examples subpackage, I think you could add one too, and put
> the tests binaries in it, in %{_libexecdir}/embree/. This way users can
> easily verify that the library works on their systems.

Which needs -DENABLE_TUTORIALS on otherwise they will be not built.
 
> 
> You compile without ispc. But ispc is free software, and could be packaged
> for Fedora. Sounds like a useful things to have. I can do the review if you
> do the package ;)

Done deal. The initial spec and srpm is submitted on  https://bugzilla.redhat.com/show_bug.cgi?id=1366881

Comment 10 Zbigniew Jędrzejewski-Szmek 2016-08-20 14:09:17 UTC
Can you post the updated spec file with ispc dependency?

Comment 11 Luya Tshimbalanga 2016-08-20 20:59:50 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #10)
> Can you post the updated spec file with ispc dependency?

Here is:

Updated Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
Updated SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-4.fc24.src.rpm

ExclusiveArch line is taken out and cmake has both ispc and tutorial enabled.

Comment 12 Zbigniew Jędrzejewski-Szmek 2016-08-20 23:49:57 UTC
It would be nice add -Wno-reorder, those warnings bring no value:
CXXFLAGS='%{optflags} -Wno-reorder' %cmake ..

I'm not sure if you posted the latest version, because there's still -lib subpackage in the above spec, but you said you removed it.

Comment 13 Luya Tshimbalanga 2016-08-21 00:23:19 UTC
It looks like the latest version failed uploading for some odd reasons. The files should be up to date now.

Updated Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
Updated SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-4.fc24.src.rpm

Comment 14 Zbigniew Jędrzejewski-Szmek 2016-08-21 03:37:32 UTC
This still doesn't build for me. I needed the following "patch":

sed -r -i.bak 's/#include <math.h>/#include <cmath>/' common/math/constants.h
sed -r -i.bak '/__forceinline float (abs|floor|ceil)/d' common/math/math.h

The issue is that C++11 allows headers to define abs and similar functions in both :: and std::, so embree::abs(float) is ambigous with ::abs(float).


I think it's also good to silence all warnings: -Wno-all in CXXFLAGS. Otherwise there's just too much noise.


%files seems totally broken:
- .so file must be in -devel
- .so.* must be in the main package
- %{_bindir}/%{name}/* doesn't match anything

%files
%license LICENSE.txt
%doc README.md CHANGELOG.md readme.pdf
%{_libdir}/libembree.so.2
%{_libdir}/libembree.so.2.*

%files devel
%{_libdir}/libembree.so
%{_includedir}/embree2/
%{_libdir}/cmake/embree-%{version}/


What about the examples that are now built? Shouldn't they be run in %check, and packaged into -examples subpackage?

Comment 15 Luya Tshimbalanga 2016-08-21 06:27:48 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #14)
> This still doesn't build for me. I needed the following "patch":
> 
> sed -r -i.bak 's/#include <math.h>/#include <cmath>/' common/math/constants.h
> sed -r -i.bak '/__forceinline float (abs|floor|ceil)/d' common/math/math.h
> 
> I think it's also good to silence all warnings: -Wno-all in CXXFLAGS.
> Otherwise there's just too much noise.

Using those lines greatly reduce the building time. They fixed the failure as well.
 
> 
> %files seems totally broken:
> - .so file must be in -devel
> - .so.* must be in the main package
> - %{_bindir}/%{name}/* doesn't match anything
> [...]
Thanks for the correction. Fixed.


> What about the examples that are now built? Shouldn't they be run in %check,
> and packaged into -examples subpackage?
-examples subpackage added now running in %check following the cmake guideline.

Here is the updated files:
Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-5.fc24.src.rpm

Comment 16 Zbigniew Jędrzejewski-Szmek 2016-08-21 15:54:57 UTC
You don't need to delete an empty dir from the installation root, rpm will just ignore it.

Something is wrong with the way CXXFLAGS are set (right after pushd). Before it before %cmake and that was working better.

%files is still busted. See #c14 for the right form :)
rpmlint goes all crazy:
embree-devel.x86_64: E: non-devel-file-in-devel-package /usr/lib64/libembree.so.2.10.0
embree-devel.x86_64: E: library-without-ldconfig-postin /usr/lib64/libembree.so.2.10.0
embree-devel.x86_64: E: library-without-ldconfig-postun /usr/lib64/libembree.so.2.10.0

You cannot install the examples into /usr/bin. The names are too generic: e.g. /usr/bin/convert is a well-known imagemagick executable. You can use %_libdir/embree/examples instead.

+ package name is OK
+ license is acceptable (ASL 2.0)
+ license is specified correctly 
+ latest version
+ builds and install OK
+ provides/requires/BR look OK
- rpmlint is not happy (see above and below)

rpmlint:
embree.src:54: W: mixed-use-of-spaces-and-tabs (spaces: line 54, tab: line 1)

Comment 17 Igor Gnatenko 2016-08-21 16:39:34 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #16)
> You cannot install the examples into /usr/bin. The names are too generic:
> e.g. /usr/bin/convert is a well-known imagemagick executable. You can use
> %_libdir/embree/examples instead.
not %{_libexecdir}/%{name}/ ?

Comment 18 Zbigniew Jędrzejewski-Szmek 2016-08-21 16:40:17 UTC
Either may be used.

Comment 19 Luya Tshimbalanga 2016-08-21 19:15:41 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #16)
> You don't need to delete an empty dir from the installation root, rpm will
> just ignore it.

Good to know.

> Something is wrong with the way CXXFLAGS are set (right after pushd). Before
> it before %cmake and that was working better.

Do you mean CXXFLAGS before %cmake?

> %files is still busted. See #c14 for the right form :)
> rpmlint goes all crazy:
> embree-devel.x86_64: E: non-devel-file-in-devel-package
> /usr/lib64/libembree.so.2.10.0
> embree-devel.x86_64: E: library-without-ldconfig-postin
> /usr/lib64/libembree.so.2.10.0
> embree-devel.x86_64: E: library-without-ldconfig-postun
> /usr/lib64/libembree.so.2.10.0
Fixed. 

> You cannot install the examples into /usr/bin. The names are too generic:
> e.g. /usr/bin/convert is a well-known imagemagick executable. You can use
> %_libdir/embree/examples instead.
%{_libexecdir}/embree is used instead.


> - rpmlint is not happy (see above and below)
> 
> rpmlint:
> embree.src:54: W: mixed-use-of-spaces-and-tabs (spaces: line 54, tab: line 1)
Weird. rpmlint n my side did not complain about that line. Either way, it is fixed.


Here is the updated files:
Spec URL: https://luya.fedorapeople.org/packages/SPECS/embree.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/embree-2.10.0-6.fc24.src.rpm

Comment 20 Zbigniew Jędrzejewski-Szmek 2016-08-21 19:51:58 UTC
In %files, change %{_libexecdir}/%{name}/* to %{_libexecdir}/%{name}/,
otherwise the directory is going to be unowned.

I don't think the tests do anything:
+ ctest -V -j12
UpdateCTestConfiguration  from :/builddir/build/BUILD/embree-2.10.0/DartConfiguration.tcl
UpdateCTestConfiguration  from :/builddir/build/BUILD/embree-2.10.0/DartConfiguration.tcl
Test project /builddir/build/BUILD/embree-2.10.0
Constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
No tests were found!!!
+ exit 0

You can run benchmark as a test instead.

+ package name is OKt
+ license is acceptable (ASL 2.0)
+ license is specified correctly 
+ latest version
+ builds and install OK
+ provides/requires/BR look OK
+ rpmlint is happy
+ scriptlets look OK

Package is APPROVED.

Comment 21 Luya Tshimbalanga 2016-08-21 21:25:32 UTC
Thank you Zbigniew and Igor. I have learned a lot more than a simple review.
Next package is ispc.

Comment 22 Gwyn Ciesla 2016-08-22 14:38:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/embree

Comment 23 Fedora Update System 2016-08-26 16:00:25 UTC
embree-2.10.0-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfb58eee59

Comment 24 Fedora Update System 2016-08-26 16:00:34 UTC
embree-2.10.0-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-208750d7bc

Comment 25 Fedora Update System 2016-08-27 12:52:21 UTC
embree-2.10.0-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfb58eee59

Comment 26 Fedora Update System 2016-08-27 21:49:44 UTC
embree-2.10.0-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-208750d7bc

Comment 27 Fedora Update System 2016-08-31 16:27:57 UTC
embree-2.10.0-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2016-09-10 01:48:59 UTC
embree-2.10.0-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.